var fs = require('fs');
var cp = require('child_process');

/**
 * Load a JSON file
 *
 * @param filePath The path of the json file
 * @return Promise
 */
exports.loadJSONFile = function(filePath) {
  return new Promise(function(resolve, reject) {
    fs.readFile(filePath, 'utf8', function(err, fileContent) {
      if(err) return reject(err);
      try {
        var json = JSON.parse(fileContent);
        return resolve(json);
      } catch(err) {
        return reject(err);
      }
    });
  });
};

exports.runApp = function(execPath) {
  return new Promise(function(resolve, reject) {
    cp.exec(execPath, function(err) {
      if(err) return reject(err);
      return resolve();
    });
  });
};
